{ config, lib, pkgs, ... }: {
  programs.taskwarrior = {
    enable = true;
    package = pkgs.taskwarrior3;
    dataLocation = "~/.task";
    colorTheme = "solarized-dark-256";
    config = {
      "sync.server.url" = "https://task.vorboyvo.com:8443";
      "sync.encryption_secret" = "me3FaeWox";
      "sync.server.client_id" = "844b44e6-f4ae-4f2f-982d-b9021128958c";
    };
  };

  services.taskwarrior-sync = {
    enable = true;
  };
}
